//
//  UIImageView+Gif.h
//  DemoTest1
//
//  Created by 李鹏超 on 16/8/11.
//  Copyright © 2016年 李鹏超. All rights reserved.
//

#import <UIKit/UIKit.h>

@interface UIImageView (Gif)

-(void)getGifImageWithUrk:(NSURL *)url
               returnData:(void(^)(NSArray<UIImage *> * imageArray,
                                   NSArray<NSNumber *>*timeArray,
                                   CGFloat totalTime,
                                   NSArray<NSNumber *>* widths,
                                   NSArray<NSNumber *>* heights))dataBlock;

-(void)yh_setImage:(NSURL *)imageUrl;

@end

//使用例子
//使用代码示例如下：

//UIImageView * imageView = [[UIImageView alloc]initWithFrame:CGRectMake(0, 50 , 320, 100)];
//NSURL * url = [[NSURL alloc]initFileURLWithPath:[[NSBundle mainBundle] pathForResource:@"1-1.gif" ofType:nil]];
//    [imageView yh_setImage:url];
//    [imageView getGifImageWithUrk:url returnData:^(NSArray<UIImage *> *imageArray, NSArray<NSNumber *> *timeArray, CGFloat totalTime, NSArray<NSNumber *> *widths, NSArray<NSNumber *> *heights) {
//
//    }];

//SDWebImage中的方法例子
//  self.loadingImageView.image = [UIImage sd_animatedGIFWithData:imageData];
//#import <UIKit/UIKit.h>
//
//@interface UIImage (GIF)
//
//+ (UIImage *)sd_animatedGIFNamed:(NSString *)name;
//
//+ (UIImage *)sd_animatedGIFWithData:(NSData *)data;
//
//- (UIImage *)sd_animatedImageByScalingAndCroppingToSize:(CGSize)size;
//
//@end


//getHUb -- 第三方 FLAnimatedImage
